Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPWhoWasTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.interfaces.EPPWhoWasTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPWhoWasTst

extends junit.framework.TestCase

Is a unit test of the `EPPWhoWas` class. The unit test will initialize a session with an EPP Server, will invoke `EPPWhoWas` operations, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
java com.verisign.epp.interfaces.EPPWhoWasTst -Dthreads=2 ../../epp.config
The unit test is dependent on the use of JUNIT 3.5

Version:
  1.0
Author:
  Deepak Deshpande

Constructor Summary
`EPPWhoWasTst(java.lang.String aName)` Allocates an `EPPWhoWasTst` with a logical name.

Method Summary
`void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPWhoWasTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, invokes `endSession`.
`void` | `testNonExistingEntityWhoWasInfo()` Runs non existing entity negative test case for `EPPWhoWas`.
`void` | `testNullNameAndRoidWhoWasInfo()` Runs negative test cases for `EPPWhoWas`.
`void` | `testWhoWasInfo()` Runs positive test cases for `EPPWhoWas`.
`void` | `whowasInfoByName()` Unit test of `EPPWhoWas.sendInfo` by name.
`void` | `whowasInfoByRoid()` Unit test of `EPPWhoWas.sendInfo` by roid.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPWhoWasTst

    public EPPWhoWasTst(java.lang.String aName)

  Allocates an `EPPWhoWasTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `aName` - Logical name of the test

Method Detail

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPWhoWasTst`.

### handleException

    public void handleException(java.lang.Exception aException)

  Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error : " will be specified. If the exception was caused by a general algorithm error, "General Error : " will be specified.

  Parameters:
    `aException` - Exception thrown during test

### testWhoWasInfo

    public void testWhoWasInfo()

  Runs positive test cases for `EPPWhoWas`.

### testNullNameAndRoidWhoWasInfo

    public void testNullNameAndRoidWhoWasInfo()

  Runs negative test cases for `EPPWhoWas`.

### testNonExistingEntityWhoWasInfo

    public void testNonExistingEntityWhoWasInfo()

  Runs non existing entity negative test case for `EPPWhoWas`.

### whowasInfoByName

    public void whowasInfoByName()
                          throws EPPCommandException

  Unit test of `EPPWhoWas.sendInfo` by name.

  Throws:
    `EPPCommandException`

### whowasInfoByRoid

    public void whowasInfoByRoid()
                          throws EPPCommandException

  Unit test of `EPPWhoWas.sendInfo` by roid.

  Throws:
    `EPPCommandException`

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, invokes `endSession`.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.